Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.api.node
Class AbstractPortalNodeURL

    java.lang.Object
      org.jboss.portal.core.impl.api.node.AbstractPortalNodeURL

All Implemented Interfaces:
  PortalNodeURL, PortalURL

Direct Known Subclasses:
  PageURL, WindowURL

    public class AbstractPortalNodeURL

extends java.lang.Object
implements PortalNodeURL

Version:
  $Revision: 11549 $
Author:
  Julien Viet

Field Summary
`protected ControllerContext` | `controllerContext` .
`protected PortalObjectId` | `id` .
`protected java.util.Map<java.lang.String,java.lang.String[]>` | `parameters` .
`protected boolean` | `relative` .
`protected URLContext` | `urlContext` .
`protected java.lang.Boolean` | `wantAuthenticated` .
`protected java.lang.Boolean` | `wantSecure` .

Constructor Summary
`AbstractPortalNodeURL(PortalObjectId id, ControllerContext controllerContext)`

Method Summary
`protected URLContext` | `getURLContext()`
`void` | `setAuthenticated(java.lang.Boolean authenticated)` Affect the authentication mode of the transport protocol that the URL will designate.
`void` | `setParameter(java.lang.String name, java.lang.String value)` Set a parameter on the URL.
`void` | `setParameter(java.lang.String name, java.lang.String[] values)` Set a parameter on the URL.
`void` | `setRelative(boolean relative)` Affet the URL generation by creating either a relative or an absolute URL.
`void` | `setSecure(java.lang.Boolean secure)` Affect the security mode of the transport protocol that the URL will designate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.api.PortalURL
`toString`

Field Detail

### id

    protected PortalObjectId id

  .

### controllerContext

    protected ControllerContext controllerContext

  .

### parameters

    protected java.util.Map<java.lang.String,java.lang.String[]> parameters

  .

### wantSecure

    protected java.lang.Boolean wantSecure

  .

### wantAuthenticated

    protected java.lang.Boolean wantAuthenticated

  .

### relative

    protected boolean relative

  .

### urlContext

    protected URLContext urlContext

  .

Constructor Detail

### AbstractPortalNodeURL

    public AbstractPortalNodeURL(PortalObjectId id,
                                 ControllerContext controllerContext)

Method Detail

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.String value)

  Description copied from interface: `PortalNodeURL`
  Set a parameter on the URL.

  Specified by:
    `setParameter` in interface `PortalNodeURL`
  Parameters:
    `name` - the parameter name
    `value` - the parameter value

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.String[] values)

  Description copied from interface: `PortalNodeURL`
  Set a parameter on the URL.

  Specified by:
    `setParameter` in interface `PortalNodeURL`
  Parameters:
    `name` - the parameter name
    `values` - the parameter values

### setAuthenticated

    public void setAuthenticated(java.lang.Boolean authenticated)

  Description copied from interface: `PortalURL`
  Affect the authentication mode of the transport protocol that the URL will designate. A null value indicates that it should reuse the value of the incoming transport.

  Specified by:
    `setAuthenticated` in interface `PortalURL`

### setSecure

    public void setSecure(java.lang.Boolean secure)

  Description copied from interface: `PortalURL`
  Affect the security mode of the transport protocol that the URL will designate. A null value indicates that it should reuse the value of the incoming transport.

  Specified by:
    `setSecure` in interface `PortalURL`

### setRelative

    public void setRelative(boolean relative)

  Description copied from interface: `PortalURL`
  Affet the URL generation by creating either a relative or an absolute URL.

  Specified by:
    `setRelative` in interface `PortalURL`

### getURLContext

    protected URLContext getURLContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD